package com.zt.plat.module.erp.service.erp;

import com.zt.plat.framework.common.pojo.vo.BatchDeleteReqVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.DeleteErpMaterialCorrVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpMaterialCorrRspVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpMaterialCorrSaveReqVO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * ERP物料拓展数据 Service 接口
 *
 * @author 后台管理
 */
public interface ErpErpMaterialCorrService {
    List<ErpMaterialCorrRspVO>  create(@Valid ErpMaterialCorrSaveReqVO reqVO);
    void deleteBatch(DeleteErpMaterialCorrVO reqVO);

    List<ErpMaterialCorrRspVO> getErpMaterialByMainMaterial(List<Long> mainMaterialIds, String companyCode);

    List<ErpMaterialCorrRspVO> getErpMaterialByMainMaterialByCode(String code,String companyCode);

    List<ErpMaterialCorrRspVO> getErpMaterialByCompanyCode(String CompanyCode);
}
